<app-nav-menu></app-nav-menu>
<!-- Form implementation -->
<div class="col-md-5">
  <h3 class="card-body text-info">Rent book</h3>
  <form [formGroup]="addForm" (ngSubmit)="onSubmit()">
    <input type="hidden" formControlName="Uid" [ngClass]="{ 'is-invalid': submitted && f.Uid.errors }">
    
    <div class="form-group">
      <label>Title:</label>
      <input type="text" formControlName="Title" readonly class="form-control bg-secondary text-light" [ngClass]="{ 'is-invalid': submitted && f.Title.errors }">
      <div *ngIf="submitted && f.Title.errors">
        <div *ngIf="f.Title.errors.required">Title is required</div>
      </div>
    </div>

    <div class="form-group">
      <label>ISBN:</label>
      <input type="text" formControlName="Isbn" readonly class="form-control bg-secondary text-light" maxlength="13" minlength="13" [ngClass]="{ 'is-invalid': submitted && f.Isbn.errors }">
      <div *ngIf="submitted && f.Isbn.errors">
        <div *ngIf="f.Isbn.errors.required">ISBN is required</div>
      </div>
    </div>

    <div class="form-group">
        <label>Library user identifier:*</label>
        <input type="text" formControlName="Lui" placeholder="U00000" maxlength="6" minlength="6" class="form-control bg-light text-secondary"  [ngClass]="{ 'is-invalid': submitted && f.Lui.errors }">
        <div *ngIf="submitted && f.Lui.errors">
          <div *ngIf="f.Lui.errors.required">Library user identifier is required</div>
        </div>
    </div>

     <button type="submit" class="btn-info btn">&nbsp; Save &nbsp;</button>
  </form>
</div>
